// 辅助项-分割线 API
export type DividerAPI = {
	dashed?: boolean
	orientation?: string
	type?: string //水平还是垂直类型
	plain?: boolean //文字是否显示为普通正文样式
	orientationMargin?: string //标题和最近left/right 边框之间的距离，去除了分割线，同时 orientation 必须为 left 或 right
	title?: string
}

// 辅助项-提示 API
export type AlertAPI = {
	message?: string //警告提示内容
	banner?: boolean //是否用作顶部公告
	closable?: boolean //	默认不显示关闭按钮
	closeText?: string //自定义关闭按钮
	description?: string //警告提示的辅助性文字介绍
	showIcon?: boolean //	是否显示辅助图标
	type?: string //指定警告提示的样式，有四种选择 success、info、warning、error
}

// 辅助项-提示 API
export type TextAPI = {
	value?: string //文字内容
}
