import type { App } from 'vue';
import authApi from './auth/mods';

import aclApi from './acl/mods';

import dictionaryApi from './dictionary/mods';

import materialApi from './material/mods';

export const api = {
  authApi,
  aclApi,
  dictionaryApi,
  materialApi,
  install: (app: App) => {
    app.config.globalProperties.$api = api;
  },
};
export default api;
